#ifndef CFG_DEFS_H
#define CFG_DEFS_H 1

static const struct {
	const char *name;
	const char *value;
} config_cache[] = {
	{ "",	"" },
	{ "SYSTEM_MAIL",	"'/usr/sbin/sendmail'" },
	{ "alt_char_set",	"'no'" },
	{ "ansi_cc",	"'-DCC_HAS_PROTOS'" },
	{ "ar_flags",	"'-curv'" },
	{ "baddef_remove",	"'no'" },
	{ "bool_defs",	"'yes'" },
	{ "build",	"'i386-pc-bsd'" },
	{ "build_alias",	"'i386-pc-bsd'" },
	{ "c_compiler_gnu",	"'yes'" },
	{ "c_const",	"'yes'" },
	{ "c_inline",	"'inline'" },
	{ "chtype_decl",	"'no'" },
	{ "color_curses",	"'no'" },
	{ "curs_performance",	"'no'" },
	{ "curs_touchline",	"'bsd'" },
	{ "curses_dir",	"'no'" },
	{ "curses_incdir",	"'no'" },
	{ "dcl_errno",	"'yes'" },
	{ "dcl_sys_errlist",	"'yes'" },
	{ "dcl_sys_nerr",	"'yes'" },
	{ "define_sigwinch",	"'yes'" },
	{ "env_CC_set",	"'set'" },
	{ "env_CC_value",	"'/usr/local/bin/gcc'" },
	{ "env_CFLAGS_set",	"'set'" },
	{ "env_CFLAGS_value",	"'-O0'" },
	{ "env_CPPFLAGS_set",	"''" },
	{ "env_CPPFLAGS_value",	"''" },
	{ "env_CPP_set",	"''" },
	{ "env_CPP_value",	"''" },
	{ "env_LDFLAGS_set",	"''" },
	{ "env_LDFLAGS_value",	"''" },
	{ "env_build_alias_set",	"''" },
	{ "env_build_alias_value",	"''" },
	{ "env_host_alias_set",	"''" },
	{ "env_host_alias_value",	"''" },
	{ "env_target_alias_set",	"''" },
	{ "env_target_alias_value",	"''" },
	{ "fancy_curses",	"'no'" },
	{ "find_linkage_iconv",	"'no'" },
	{ "find_linkage_idn",	"'no'" },
	{ "fionbio",	"'ioctl'" },
	{ "func___argz_count",	"'no'" },
	{ "func___argz_next",	"'no'" },
	{ "func___argz_stringify",	"'no'" },
	{ "func__nc_free_and_exit",	"'no'" },
	{ "func__nc_freeall",	"'no'" },
	{ "func_alloca_works",	"'yes'" },
	{ "func_assume_default_colors",	"'no'" },
	{ "func_cbreak",	"'yes'" },
	{ "func_ctermid",	"'no'" },
	{ "func_curses_version",	"'no'" },
	{ "func_cuserid",	"'yes'" },
	{ "func_decl_getgrgid",	"'yes'" },
	{ "func_decl_getgrnam",	"'yes'" },
	{ "func_decl_strstr",	"'yes'" },
	{ "func_define_key",	"'no'" },
	{ "func_delscreen",	"'no'" },
	{ "func_feof_unlocked",	"'no'" },
	{ "func_fgets_unlocked",	"'no'" },
	{ "func_fork",	"'yes'" },
	{ "func_fork_works",	"'yes'" },
	{ "func_fseeko",	"'no'" },
	{ "func_ftime",	"'no'" },
	{ "func_getattrs",	"'no'" },
	{ "func_getbegx",	"'no'" },
	{ "func_getbegy",	"'no'" },
	{ "func_getcwd",	"'yes'" },
	{ "func_getegid",	"'yes'" },
	{ "func_geteuid",	"'yes'" },
	{ "func_getgid",	"'yes'" },
	{ "func_getgroups",	"'yes'" },
	{ "func_gethostbyname",	"'yes'" },
	{ "func_gethostname",	"'yes'" },
	{ "func_getpagesize",	"'yes'" },
	{ "func_gettimeofday",	"'yes'" },
	{ "func_getuid",	"'yes'" },
	{ "func_iconv",	"'no, consider installing GNU libiconv'" },
	{ "func_inet_ntoa",	"'yes'" },
	{ "func_keypad",	"'no'" },
	{ "func_lstat",	"'yes'" },
	{ "func_mempcpy",	"'no'" },
	{ "func_mkdtemp",	"'no'" },
	{ "func_mktemp",	"'yes'" },
	{ "func_mktime",	"'yes'" },
	{ "func_mmap_fixed_mapped",	"'no'" },
	{ "func_munmap",	"'yes'" },
	{ "func_napms",	"'no'" },
	{ "func_newpad",	"'no'" },
	{ "func_newterm",	"'no'" },
	{ "func_pnoutrefresh",	"'no'" },
	{ "func_popen",	"'no'" },
	{ "func_putenv",	"'yes'" },
	{ "func_readdir",	"'yes'" },
	{ "func_resizeterm",	"'no'" },
	{ "func_setenv",	"'yes'" },
	{ "func_setlocale",	"'yes'" },
	{ "func_setuid",	"'yes'" },
	{ "func_sigaction",	"'yes'" },
	{ "func_socket",	"'yes'" },
	{ "func_stpcpy",	"'no'" },
	{ "func_strcasecmp",	"'yes'" },
	{ "func_strchr",	"'yes'" },
	{ "func_strdup",	"'yes'" },
	{ "func_strerror",	"'yes'" },
	{ "func_strstr",	"'yes'" },
	{ "func_strtoul",	"'yes'" },
	{ "func_tgoto",	"'no'" },
	{ "func_touchline",	"'no'" },
	{ "func_touchwin",	"'no'" },
	{ "func_truncate",	"'yes'" },
	{ "func_tsearch",	"'no'" },
	{ "func_ttyname",	"'yes'" },
	{ "func_unsetenv",	"'yes'" },
	{ "func_use_default_colors",	"'no'" },
	{ "func_use_legacy_coding",	"'no'" },
	{ "func_usleep",	"'yes'" },
	{ "func_vasprintf",	"'no'" },
	{ "func_vfork",	"'yes'" },
	{ "func_vfork_works",	"'yes'" },
	{ "func_waitpid",	"'yes'" },
	{ "func_wattr_get",	"'no'" },
	{ "func_wborder",	"'no'" },
	{ "func_wredrawln",	"'no'" },
	{ "func_wresize",	"'no'" },
	{ "gnu_library_2_1",	"'no'" },
	{ "gnutls_compat",	"'no'" },
	{ "have_errno",	"'yes'" },
	{ "have_h_errno",	"'yes'" },
	{ "have_inet_aton",	"'yes'" },
	{ "have_sys_errlist",	"'yes'" },
	{ "have_sys_nerr",	"'yes'" },
	{ "have_ttytype",	"'yes'" },
	{ "have_utmp",	"'utmp'" },
	{ "have_utmp_ut_host",	"'yes'" },
	{ "have_utmp_ut_name",	"'ut_name'" },
	{ "have_utmp_ut_session",	"'no'" },
	{ "have_utmp_ut_syslen",	"'no'" },
	{ "have_utmp_ut_xstatus",	"'no'" },
	{ "have_utmp_ut_xtime",	"'no'" },
	{ "header_argz_h",	"'no'" },
	{ "header_arpa_inet_h",	"'yes'" },
	{ "header_curses_h",	"'yes'" },
	{ "header_curses_term_h",	"'no'" },
	{ "header_dirent_dirent_h",	"'yes'" },
	{ "header_fcntl_h",	"'yes'" },
	{ "header_intl",	"''" },
	{ "header_inttypes_h",	"'no'" },
	{ "header_lastlog_h",	"'no'" },
	{ "header_libgt",	"''" },
	{ "header_limits_h",	"'yes'" },
	{ "header_locale_h",	"'yes'" },
	{ "header_malloc_h",	"'no'" },
	{ "header_memory_h",	"'yes'" },
	{ "header_nl_types_h",	"'no'" },
	{ "header_path_iconv",	"'/usr/local/include'" },
	{ "header_path_idn",	"'/usr/local/include'" },
	{ "header_paths_h",	"'yes'" },
	{ "header_stdc",	"'no'" },
	{ "header_stddef_h",	"'yes'" },
	{ "header_stdint_h",	"'no'" },
	{ "header_stdlib_h",	"'yes'" },
	{ "header_string_h",	"'yes'" },
	{ "header_strings_h",	"'yes'" },
	{ "header_sys_fcntl_h",	"'yes'" },
	{ "header_sys_filio_h",	"'yes'" },
	{ "header_sys_ioctl_h",	"'yes'" },
	{ "header_sys_param_h",	"'yes'" },
	{ "header_sys_stat_h",	"'yes'" },
	{ "header_sys_time_h",	"'yes'" },
	{ "header_sys_timeb_h",	"'yes'" },
	{ "header_sys_types_h",	"'yes'" },
	{ "header_sys_wait_h",	"'yes'" },
	{ "header_syslog_h",	"'yes'" },
	{ "header_term_h",	"'no'" },
	{ "header_termio_h",	"'no'" },
	{ "header_termios_h",	"'yes'" },
	{ "header_time",	"'yes'" },
	{ "header_unistd_h",	"'yes'" },
	{ "header_vfork_h",	"'no'" },
	{ "host",	"'i386-pc-bsd'" },
	{ "host_alias",	"'i386-pc-bsd'" },
	{ "langinfo_codeset",	"'no'" },
	{ "lib_cursesX___initscr",	"'no'" },
	{ "lib_cursesX___tgoto",	"'no'" },
	{ "lib_curses___initscr",	"'yes'" },
	{ "lib_curses___tgoto",	"'no'" },
	{ "lib_dir_opendir",	"'no'" },
	{ "lib_inet_main",	"'no'" },
	{ "lib_ncurses___tgoto",	"'no'" },
	{ "lib_otermcap___tgoto",	"'no'" },
	{ "lib_termcap___tgoto",	"'yes'" },
	{ "library_path_iconv",	"''" },
	{ "library_path_idn",	"''" },
	{ "locale",	"'yes'" },
	{ "mixedcase",	"'yes'" },
	{ "ncurses_header",	"'curses.h'" },
	{ "ncurses_version",	"'no'" },
	{ "need_xopen_extension",	"'unknown'" },
	{ "netlibs",	"''" },
	{ "ngroups",	"'yes'" },
	{ "objext",	"'o'" },
	{ "path_COMPRESS",	"'/usr/bin/compress'" },
	{ "path_GZIP",	"'/usr/local/bin/gzip'" },
	{ "path_INSTALL",	"'/usr/bin/install -c'" },
	{ "path_MSGINIT",	"':'" },
	{ "path_MV",	"'/bin/mv'" },
	{ "path_RLOGIN",	"'/usr/bin/rlogin'" },
	{ "path_RM",	"'/bin/rm'" },
	{ "path_TAR",	"'/usr/bin/tar'" },
	{ "path_TELNET",	"'/usr/bin/telnet'" },
	{ "path_TN3270",	"'/usr/bin/tn3270'" },
	{ "path_UNCOMPRESS",	"'/usr/local/bin/gunzip'" },
	{ "path_UNZIP",	"'/usr/local/bin/unzip'" },
	{ "path_UUDECODE",	"'/usr/bin/uudecode'" },
	{ "path_ZCAT",	"'/usr/bin/zcat'" },
	{ "path_ac_pt_PKG_CONFIG",	"'none'" },
	{ "path_install",	"'/usr/bin/install -c'" },
	{ "path_lastlog",	"'no'" },
	{ "posix_c_source",	"199506L'" },
	{ "prog_CPP",	"'/usr/local/bin/gcc -E'" },
	{ "prog_CTAGS",	"'ctags'" },
	{ "prog_MAKE_LOWER_TAGS",	"'yes'" },
	{ "prog_MAKE_UPPER_TAGS",	"'no'" },
	{ "prog_ac_ct_AR",	"'ar'" },
	{ "prog_ac_ct_CC",	"'/usr/local/bin/gcc'" },
	{ "prog_ac_ct_RANLIB",	"'ranlib'" },
	{ "prog_cc_g",	"'yes'" },
	{ "prog_cc_stdc",	"''" },
	{ "prog_make_make_set",	"'yes'" },
	{ "rand_max",	"'INT_MAX'" },
	{ "screen",	"'curses'" },
	{ "set_errno",	"'yes'" },
	{ "sizechange",	"'yes'" },
	{ "sizeof_int",	"'4'" },
	{ "sizeof_long",	"'4'" },
	{ "sizeof_off_t",	"'4'" },
	{ "sizeof_time_t",	"'4'" },
	{ "srand_func",	"'srandom/random'" },
	{ "struct_dirent64",	"'no'" },
	{ "sys_file_offset_bits",	"'no'" },
	{ "sys_large_files",	"'no'" },
	{ "sys_largefile_CC",	"'no'" },
	{ "sys_largefile_source",	"'no'" },
	{ "system_mail_flags",	"'-t -oi'" },
	{ "system_name",	"'bsd'" },
	{ "sysv_utmp",	"'no'" },
	{ "target",	"'i386-pc-bsd'" },
	{ "target_alias",	"'i386-pc-bsd'" },
	{ "term_header",	"'unknown'" },
	{ "termio_and_curses",	"'no'" },
	{ "termio_and_termios",	"'yes'" },
	{ "tm_gmtoff",	"'yes'" },
	{ "type_getgroups",	"'int'" },
	{ "type_int",	"'yes'" },
	{ "type_long",	"'yes'" },
	{ "type_long_long",	"'yes'" },
	{ "type_mode_t",	"'yes'" },
	{ "type_off_t",	"'yes'" },
	{ "type_pid_t",	"'yes'" },
	{ "type_size_t",	"'yes'" },
	{ "type_socklen_t",	"'no'" },
	{ "type_ssize_t",	"'yes'" },
	{ "type_time_t",	"'yes'" },
	{ "type_uid_t",	"'yes'" },
	{ "type_unionwait",	"'no'" },
	{ "unctrl_header",	"'no'" },
	{ "use_libgnutls",	"'no'" },
	{ "use_libnss_compat",	"'no'" },
	{ "use_libsocks5",	"'no'" },
	{ "use_libsocks",	"'no'" },
	{ "use_libssl",	"'no'" },
	{ "val_LC_MESSAGES",	"'no'" },
	{ "working_alloca_h",	"'no'" },
	{ "xopen_source",	"'500'" },
};

static const struct {
	const char *name;
	const char *value;
} config_defines[] = {
	{ "CAN_SET_ERRNO",	"1" },
	{ "COMPRESS_PATH",	"\"/usr/bin/compress\"" },
	{ "DIRED_SUPPORT",	"1" },
	{ "DISP_PARTIAL",	"1" },
	{ "DONT_TRACK_INTERNAL_LINKS",	"1" },
	{ "GETGROUPS_T",	"int" },
	{ "GZIP_PATH",	"\"/usr/local/bin/gzip\"" },
	{ "HAVE_ALLOCA",	"1" },
	{ "HAVE_ARPA_INET_H",	"1" },
	{ "HAVE_BSD_TOUCHLINE",	"1" },
	{ "HAVE_CBREAK",	"1" },
	{ "HAVE_CUSERID",	"1" },
	{ "HAVE_DIRENT_H",	"1" },
	{ "HAVE_FCNTL_H",	"1" },
	{ "HAVE_GETCWD",	"1" },
	{ "HAVE_GETGROUPS",	"1" },
	{ "HAVE_GETTIMEOFDAY",	"1" },
	{ "HAVE_GETUID",	"1" },
	{ "HAVE_H_ERRNO",	"1" },
	{ "HAVE_INET_ATON",	"1" },
	{ "HAVE_LIMITS_H",	"1" },
	{ "HAVE_LOCALE_H",	"1" },
	{ "HAVE_LONG_LONG",	"1" },
	{ "HAVE_LSTAT",	"1" },
	{ "HAVE_LYHELP_H",	"1" },
	{ "HAVE_MKTEMP",	"1" },
	{ "HAVE_MUNMAP",	"1" },
	{ "HAVE_PUTENV",	"1" },
	{ "HAVE_READDIR",	"1" },
	{ "HAVE_SETENV",	"1" },
	{ "HAVE_SETLOCALE",	"1" },
	{ "HAVE_SETUID",	"1" },
	{ "HAVE_SIGACTION",	"1" },
	{ "HAVE_SIZECHANGE",	"1" },
	{ "HAVE_STDLIB_H",	"1" },
	{ "HAVE_STRCASECMP",	"1" },
	{ "HAVE_STRCHR",	"1" },
	{ "HAVE_STRERROR",	"1" },
	{ "HAVE_STRING_H",	"1" },
	{ "HAVE_SYSLOG_H",	"1" },
	{ "HAVE_SYS_FCNTL_H",	"1" },
	{ "HAVE_SYS_FILIO_H",	"1" },
	{ "HAVE_SYS_IOCTL_H",	"1" },
	{ "HAVE_SYS_PARAM_H",	"1" },
	{ "HAVE_SYS_TIMEB_H",	"1" },
	{ "HAVE_SYS_TIME_H",	"1" },
	{ "HAVE_SYS_WAIT_H",	"1" },
	{ "HAVE_TERMIOS_H",	"1" },
	{ "HAVE_TRUNCATE",	"1" },
	{ "HAVE_TTYNAME",	"1" },
	{ "HAVE_TTYTYPE",	"1" },
	{ "HAVE_UNISTD_H",	"1" },
	{ "HAVE_UNSETENV",	"1" },
	{ "HAVE_USLEEP",	"1" },
	{ "HAVE_UTMP",	"1" },
	{ "HAVE_UTMP_UT_HOST",	"1" },
	{ "HAVE_WAITPID",	"1" },
	{ "INSTALL_ARGS",	"\"-c\"" },
	{ "INSTALL_PATH",	"\"/usr/bin/install\"" },
	{ "LOCALE",	"1" },
	{ "LONG_LIST",	"1" },
	{ "LYNX_CFG_FILE",	"\"/usr/local/etc/lynx.cfg\"" },
	{ "LYNX_CFG_H",	"1" },
	{ "LYNX_RAND_MAX",	"INT_MAX" },
	{ "MIME_LIBDIR",	"\"/etc/\"" },
	{ "MV_PATH",	"\"/bin/mv\"" },
	{ "OK_GZIP",	"1" },
	{ "OK_OVERRIDE",	"1" },
	{ "OK_PERMIT",	"1" },
	{ "OK_TAR",	"1" },
	{ "OK_UUDECODE",	"1" },
	{ "OK_ZIP",	"1" },
	{ "RLOGIN_PATH",	"\"/usr/bin/rlogin\"" },
	{ "RM_PATH",	"\"/bin/rm\"" },
	{ "SIZEOF_INT",	"4" },
	{ "SIZEOF_LONG",	"4" },
	{ "SIZEOF_OFF_T",	"4" },
	{ "SIZEOF_TIME_T",	"4" },
	{ "SYSTEM_MAIL",	"\"/usr/sbin/sendmail\"" },
	{ "SYSTEM_MAIL_FLAGS",	"\"-t -oi\"" },
	{ "SYSTEM_NAME",	"\"bsd\"" },
	{ "TAR_DOWN_OPTIONS",	"\"-xf\"" },
	{ "TAR_FILE_OPTIONS",	"\"\"" },
	{ "TAR_PATH",	"\"/usr/bin/tar\"" },
	{ "TAR_PIPE_OPTIONS",	"\"-\"" },
	{ "TAR_UP_OPTIONS",	"\"-cf\"" },
	{ "TELNET_PATH",	"\"/usr/bin/telnet\"" },
	{ "TIME_WITH_SYS_TIME",	"1" },
	{ "TN3270_PATH",	"\"/usr/bin/tn3270\"" },
	{ "UNCOMPRESS_PATH",	"\"/usr/local/bin/gunzip\"" },
	{ "UNDERLINE_LINKS",	"0" },
	{ "UNIX",	"1" },
	{ "UNZIP_PATH",	"\"/usr/local/bin/unzip\"" },
	{ "USE_ADDRLIST_PAGE",	"1" },
	{ "USE_ALT_BINDINGS",	"1" },
	{ "USE_ASCII_CTYPES",	"1" },
	{ "USE_CACHEJAR",	"1" },
	{ "USE_FILE_UPLOAD",	"1" },
	{ "USE_JUSTIFY_ELTS",	"1" },
	{ "USE_LOCALE_CHARSET",	"1" },
	{ "USE_PERSISTENT_COOKIES",	"1" },
	{ "USE_PRETTYSRC",	"1" },
	{ "USE_PROGRESSBAR",	"1" },
	{ "USE_READPROGRESS",	"1" },
	{ "USE_SESSIONS",	"1" },
	{ "USE_SOURCE_CACHE",	"1" },
	{ "UUDECODE_PATH",	"\"/usr/bin/uudecode\"" },
	{ "ZCAT_PATH",	"\"/usr/bin/zcat\"" },
	{ "lstat",	"stat" },
	{ "lynx_rand",	"random" },
	{ "lynx_srand",	"srandom" },
	{ "socklen_t",	"int" },
};

#endif /* CFG_DEFS_H */
